Page MenuHomePhabricator

Help Panel: use local timezone for section header timestamp
Closed, ResolvedPublic

Description

  • Example 1
    • Section header: 2019년 1월 11일 (금) 00:55 (Friday 00:55)
    • Timestamp in sign: 2019년 1월 11일 (금) 09:55 (KST) (Friday 09:55)
  • Example 2
    • Section header: 2019년 1월 11일 (금) 15:53 (Friday 15:53)
    • Signature: 2019년 1월 12일 (토) 00:53 (KST) (Saturday 00:53)

KST is 9 hours faster than UTC, so it is not using local timezone for timestamping.

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterHelp panel: Use wiki time zone for question headers

Event Timeline

revi created this task.Jan 11 2019, 3:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 11 2019, 3:57 PM
revi moved this task from Incoming to Radar on the User-revi board.Jan 11 2019, 3:57 PM
MMiller_WMF renamed this task from Use local timezone for section header timestamp to Help Panel: use local timezone for section header timestamp.Jan 11 2019, 10:11 PM

Change 483887 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Help panel: Use wiki time zone for question headers

https://gerrit.wikimedia.org/r/483887

Catrope claimed this task.Jan 12 2019, 12:54 AM
Catrope moved this task from Incoming to Code Review on the Growth-Team (Current Sprint) board.

Change 483887 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Help panel: Use wiki time zone for question headers

https://gerrit.wikimedia.org/r/483887

Etonkovidova closed this task as Resolved.Jan 15 2019, 1:15 AM

kowiki has wiki default timezone setting different from server time setting:

I tested the fix on https://ko.wikipedia.beta.wmflabs.org/wiki. The page posts after the fix 위키백과:도움말 show only wiki default timestamps for any timestamp that may be present on the page - in the header, in the user signature, or in user signatures in replies. User preferences for timezone are not reflected on the posts' headers or in user signatures.

Checked the language user settings - the help desk page will post only in wiki language overriding the user lang settings (local and global).